/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/


#include	"xlerror.h"
#include	"xl.h"


XL_SEXP * xl_ListLength();

void
init_ListLength(XLISP_ENV * env)
{
	set_env(env,l_string(std_cm,"ListLength"),
		get_func_prim(xl_ListLength,FO_APPLICATIVE,0,2,2));
}

XL_SEXP *
xl_ListLength(XLISP_ENV * env,XL_SEXP * s)
{
	return get_integer(
		list_length(get_el(s,1)),0);
}



